<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais

$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
$pdf->open();//abre o fpdf
//$pdf->AddPage();//adicionando a primera pafina
$pdf->SetFont('Arial','',12);
$pdf->SetDrawColor(10,10,10);
$maximoHAdobe=297;//isso para vertical
$maximoLAdobe=210;//isso para vertical
$maximoLAdobe=297;//isso para horizontal
$maximoHAdobe=210;//isso para horizontal
$margemEsquerdaExterna=10;
$margemEsquerda=10;
$margemDireita=$maximoLAdobe-6;
$larguraUtil=$maximoLAdobe-16;
$futer=$maximoHAdobe-10;
//$larguraUtil=$maximoLAdobe;
$cinza=220;
$fonte="Arial";
$nomeOperador=5;
$pdf->SetFillColor($cinza,$cinza,$cinza); 
$linha=0;
$posicaox1=10;
$larg1=20;
$larg2=20;
$larg3=30;
$larg4=50;
$larg5=15;
$larg6=10;
$larg7=10;
$larg8=10;
$larg9=10;
$larg10=10;
for($registro=$inicio;$registro<=$final;$registro++):
	$fator=5;
	$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);	
	$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);

	$userTTAP = new amostras();
	$userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
	$userTTAP->selecionaCampos($userTTAP);
	$pdf->AddPage();//adicionando a primera pafina 
	$caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	$pdf->Image($caminhoFinal,$margemEsquerda+1,0,35,17,'JPG');
	$pdf->SetFont('Arial','B',10);
	$pdf->Rect($margemEsquerda+35,$fator*0.2,185,12);//RECT DDO CABECALHO DA FICHA
	$pdf->setXY($margemEsquerda+35,$fator*0+3); $pdf->Cell(185,6,utf8_decode('FORMULÁRIO'),0,0,'C');//natureza
	$pdf->setXY($margemEsquerda+35,$fator*0+9); $pdf->Cell(185,4,utf8_decode('Ficha de análise'),1,0,'C');//natureza

	$vetorNormas=$objetocalculo->capturaNormas("Ficha","JATAI",$idLabo);
	$posicaoNorma=$margemEsquerda+220;
	$pdf->Rect($margemEsquerda+220,1,61,12);//RECT DAS NORMAS
	$pdf->SetFont('Arial','',9);
	$pdf->setXY($posicaoNorma,1);  $pdf->Cell(61,4,utf8_decode("Doc:".$vetorNormas[1]),1,0,'C');
	$pdf->setXY($posicaoNorma,5);  $pdf->Cell(61,4,utf8_decode("Nº Revisão:".$vetorNormas[2]),1,0,'C');
	$pdf->setXY($posicaoNorma,9);  $pdf->Cell(61,4,utf8_decode("Data revisão:".$vetorNormas[3]),1,0,'C');


	//SEGUNDO BOX Partte da esquerda
	$pdf->SetFont('Arial','',10);
	$pdf->Rect($margemEsquerda,$fator*3,$larguraUtil,34);
	$pdf->setXY($margemEsquerda+1,$fator*3);
	$pdf->Cell(115,5,utf8_decode('AMOSTRA N°:').$vetorRaioX[10],0,0,'l');//natureza	
	$ano=substr($vetorRaioX[8],6,4);//recebida em
	$pdf->Cell(115,5,utf8_decode('ANO:').$ano,0,0,'l');//natureza
	$pdf->setXY($margemEsquerda+1,$fator*4.9);
	$pdf->Cell(115,5,utf8_decode('Requerente:').$vetorRaioX[44],0,0,'l');//natureza	
	$pdf->Cell(115,5,utf8_decode('Data Coleta da Amostra:').$vetorRaioX[152],0,0,'l');//natureza
	$pdf->setXY($margemEsquerda+1,$fator*5.7);
	$pdf->Cell(115,5,utf8_decode('Espécie:'. $vetorRaioX[43]),0,0,'l');//natureza	
	$pdf->Cell(115,5,utf8_decode('N° do Lote:'.$vetorRaioX[9]),0,0,'l');//natureza
	$pdf->setXY($margemEsquerda+1,$fator*6.4);
	$pdf->Cell(115,5,utf8_decode('Cultivar:'.$vetorRaioX[42]),0,0,'l');//natureza	
	$pdf->Cell(115,5,utf8_decode('Data de Recebimento:').$vetorRaioX[8],0,0,'l');//natureza
	$pdf->setXY($margemEsquerda+1,$fator*7.3);//quuinta linha
	$pdf->Cell(115,5,utf8_decode('Peneira:'.$vetorRaioX[56]),0,0,'l');//natureza
	$repre=$vetorRaioX[46];
	list($r1,$r2,$r3,$r4)= explode(" ", $repre);	
	$pesoTotal=$r1*$r3;
	$pdf->Cell(115,5,utf8_decode('Amostra representativa de:'.$r1.'  sc  '. $r3.'    kg'),0,0,'l');//natureza
	$pdf->setXY($margemEsquerda+1,$fator*8);//sexta linha
	$pdf->Cell(115,5,utf8_decode('Safra:'.$vetorRaioX[48]),0,0,'l');//natureza	
	$pdf->Cell(115,5,utf8_decode('Total '.$pesoTotal.'    Kg:'),0,0,'l');//natureza
	$pdf->setXY($margemEsquerda+1,$fator*8.8);//setima linha
	$pdf->Cell(115,5,utf8_decode('Categoria:'.$vetorRaioX[53]),0,0,'l');//natureza	
	$pdf->Cell(115,5,utf8_decode('Nº Homogenizador:'),0,0,'l');//natureza

    //EGUNDO conjunto dentro do primiro box agora Partte da direita
	$afastamentoX=195;
	$pdf->setXY($margemEsquerda+$afastamentoX,$fator*5); $pdf->Cell(115,5,utf8_decode('N° Boletim de Análises:').substr($vetorRaioX[3],10).'/'.substr($vetorRaioX[3],6,4),0,0,'l');//
	$pdf->setXY($margemEsquerda+$afastamentoX,$fator*5.8); $pdf->Cell(115,5,utf8_decode('N° Informe Resultado:').substr($vetorRaioX[4],10).'/'.substr($vetorRaioX[4],6,4),0,0,'l');//
	$pdf->setXY($margemEsquerda+$afastamentoX,$fator*6.6); $pdf->Cell(115,5,utf8_decode('N° Amostra Homogeneizada por:'),0,0,'l');//
	$pdf->setXY($margemEsquerda+$afastamentoX,$fator*7.4); $pdf->Cell(115,5,utf8_decode('Data de Homogeneizaçao:'),0,0,'l');//
	$pdf->setXY($margemEsquerda+$afastamentoX,$fator*8.2); $pdf->Cell(115,5,utf8_decode('Germinação válida até:'),0,0,'l');//
    //Terceito box
	$pdf->Rect($margemEsquerda,$fator*10.2,$larguraUtil,19);
	$pdf->SetFont('Arial','B',10);
	$pdf->setXY($margemEsquerda+1,$fator*10.3);
	$pdf->Cell($larguraUtil,5,utf8_decode('DETERMINAÇÕES ADICIONAIS'),0,0,'C');//	$pdf->Cell(115,5,utf8_decode('ANO:'),0,0,'l');//natureza
	$pdf->SetFont('Arial','',10);
	$pdf->setXY($margemEsquerda+1,$fator*11.3);
	$pdf->Cell(115,5,utf8_decode('Umidade:').$vetorRaioX[20],0,0,'L');//
	$pdf->Cell(80,5,utf8_decode('Data:').$vetorRaioX[236],0,0,'l');//natureza
	$pdf->Cell(70,5,utf8_decode('Analista:'.$vetorRaioX[235]),0,0,'l');//natureza
	
	$pdf->setXY($margemEsquerda+1,$fator*12);
	$pdf->Cell(115,5,utf8_decode('Peso de mil sementes:').$vetorRaioX[13],0,0,'L');//
	$pdf->Cell(80,5,'Data:'.date("d/m/Y",strtotime($vetorRaioX[214])),0,0,'l');//DATA
	$pdf->Cell(70,5,utf8_decode('Analista:').$vetorRaioX[117],0,0,'l');//ANALISTA
	
	$pdf->setXY($margemEsquerda+1,$fator*12.7);
	$pdf->Cell(115,5,utf8_decode('Infestadas: R1:'.$vetorRaioX[27] .'   R2:' .$vetorRaioX[28]. '    Média:'.$vetorRaioX[18]),0,0,'L');//
	$pdf->Cell(80,5,utf8_decode('Data:').$vetorRaioX[32],0,0,'l');//natureza
	$pdf->Cell(70,5,utf8_decode('Analista:'.$vetorRaioX[33]),0,0,'l');//natureza
 
    //quarto box (pureza)
	$parametroX=138;
    $larguraItensPureza=30;
	$pdf->Rect($margemEsquerda,$fator*14.3,$parametroX,30);
	$pdf->SetFont('Arial','B',10);
	$pdf->setXY($margemEsquerda+1,$fator*14.4);
	$pdf->Cell($parametroX,5,utf8_decode('ANÁLISE DE PUREZA EM:          g'),0,0,'C');//
	$pdf->SetFont('Arial','U',10);
    //$vetorPureza[1][1]=$vetorRaioX[21]; //peso amostra trabalho
	$pdf->setXY($margemEsquerda+1,$fator*15.3); $pdf->Cell($parametroX,5,utf8_decode('Componentes              g                       %'),0,0,'L');//
	
	$pdf->setXY($margemEsquerda+1,$fator*16.1);
	$pdf->Cell($larguraItensPureza,5,utf8_decode('Semente Pura:'),0,0,'L');//puras
	$pdf->Cell($larguraItensPureza,5,utf8_decode($vetorRaioX[22]),0,0,'L');//puras
	$pdf->Cell($larguraItensPureza,5,utf8_decode($vetorRaioX[15]),0,0,'L');//puras %
	
	$pdf->setXY($margemEsquerda+1,$fator*16.9);
	$pdf->Cell($larguraItensPureza,5,utf8_decode('Outras sementes:'),0,0,'L');//
	$pdf->Cell($larguraItensPureza,5,utf8_decode($vetorRaioX[23]),0,0,'L');//
	$pdf->Cell($larguraItensPureza,5,utf8_decode($vetorRaioX[25]),0,0,'L');//os %

	$pdf->setXY($margemEsquerda+1,$fator*17.7);
	$pdf->Cell($larguraItensPureza,5,utf8_decode('MaterialInerte(MI):'),0,0,'L');//
	$pdf->Cell($larguraItensPureza,5,utf8_decode($vetorRaioX[24]),0,0,'L');//
	$pdf->Cell($larguraItensPureza,5,utf8_decode($vetorRaioX[26]),0,0,'L');//mi %
	
	$pesoFinal=$vetorRaioX[22]+$vetorRaioX[23]+$vetorRaioX[24];
	$pdf->setXY($margemEsquerda+1,$fator*18.5);
	$pdf->Cell($larguraItensPureza,5,utf8_decode('Peso Final:'),0,0,'L');//
	$pdf->Cell($larguraItensPureza,5,utf8_decode($pesoFinal),0,0,'L');//


	$pdf->setXY($margemEsquerda+1,$fator*19.3); $pdf->Cell($parametroX,5,utf8_decode('Natureza Material Inerte:').$vetorRaioX[55],0,0,'L');//
	
	
	
	
	
	
    //quinto BOX
	$pdf->Rect($margemEsquerda,$fator*21,$parametroX,20);
	$pdf->SetFont('Arial','B',10);
	$pdf->setXY($margemEsquerda+1,$fator*21);
	$pdf->Cell($parametroX,5,utf8_decode('OUTRAS CULTIVARES'),0,0,'C');//
	$pdf->SetFont('Arial','',10);
	$pdf->setXY($margemEsquerda+1,$fator*22);
	$pdf->Cell($parametroX/2,5,utf8_decode('Nº      Nome:     '),0,0,'L');//
	$pdf->Cell($parametroX/2,5,utf8_decode('Nº      Nome:     '),0,0,'L');//
 	    
    //QUARTO BOX B############################################
	$posicaoX4=$margemEsquerda+1+$parametroX+5;
	$pdf->Rect($margemEsquerda+$parametroX+5,$fator*14.3,$parametroX,53.5);
	$pdf->SetFont('Arial','B',10);
	$pdf->setXY($posicaoX4,$fator*14.4);
	$pdf->Cell($parametroX,5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO'),0,0,'C');//
	$pdf->SetFont('Arial','',10);
	$pdf->setXY($posicaoX4,$fator*15.5);
	$pdf->Cell($parametroX/2,5,utf8_decode('Outras sementes'),0,0,'C');//
	$pdf->Cell($parametroX/2,5,utf8_decode('SEMENTES NOCIVAS         g'),0,0,'C');//
	$pdf->setXY($posicaoX4,$fator*16.2);
	$pdf->Cell($parametroX/2,5,utf8_decode('Cultivadas'),0,0,'C');//
	$pdf->Cell($parametroX/2,5,utf8_decode('Toleradas'),0,0,'C');//
	
	$pdf->setXY($posicaoX4,$fator*16.9);
	$pdf->Cell($parametroX/2,5,utf8_decode('Nº         Nome'),0,0,'L');//
	$pdf->Cell($parametroX/2,5,utf8_decode('Nº         Nome'),0,0,'L');//
	$pdf->setXY($posicaoX4,$fator*17.6);
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
	$pdf->setXY($posicaoX4,$fator*18.3);
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
	$pdf->setXY($posicaoX4,$fator*19.0);
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//

	$pdf->setXY($posicaoX4,$fator*20.1);
	$pdf->Cell($parametroX/2,5,utf8_decode('Silvestres'),0,0,'C');//
	$pdf->Cell($parametroX/2,5,utf8_decode('Proibidas'),0,0,'C');//
	$pdf->setXY($posicaoX4,$fator*20.8);
	$pdf->Cell($parametroX/2,5,utf8_decode('Nº         Nome'),0,0,'L');//
	$pdf->Cell($parametroX/2,5,utf8_decode('Nº         Nome'),0,0,'L');//
	$pdf->setXY($posicaoX4,$fator*21.5);
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
	$pdf->setXY($posicaoX4,$fator*22.3);
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
	$pdf->setXY($posicaoX4,$fator*23);
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
	$pdf->Cell($parametroX/2,5,'_____________________________',0,0,'C');//
    //SEXTO  BOX B############################################
	$pdf->Rect($margemEsquerda,$fator*25,$larguraUtil,70);
	$pdf->SetFont('Arial','B',10);
	$pdf->setXY($margemEsquerda+1,$fator*25.1);
	$pdf->Cell($larguraUtil,5,utf8_decode('TESTE DE TETRAZÓLIO'),0,0,'C');//
	$pdf->SetFont('Arial','',10);
    $risquinhos='///// ///// ///// ///// ///// ///// ///// ///// ///// /////      _____________';   
	$pdf->setXY($margemEsquerda+1,$fator*26);
	$pdf->Cell($larguraUtil/2,5,'1. '.$risquinhos,0,0,'L');//
	$pdf->Cell($larguraUtil/2,5,'1. '.$risquinhos,0,0,'L');//
	$pdf->setXY($margemEsquerda+1,$fator*26.8);
	$pdf->Cell($larguraUtil/2,5,'2. '.$risquinhos,0,0,'L');//
	$pdf->Cell($larguraUtil/2,5,'2. '.$risquinhos,0,0,'L');//
	$pdf->setXY($margemEsquerda+1,$fator*27.6);
	$pdf->Cell($larguraUtil/2,5,'3. '.$risquinhos,0,0,'L');//
	$pdf->Cell($larguraUtil/2,5,'3. '.$risquinhos,0,0,'L');//
	$pdf->setXY($margemEsquerda+1,$fator*28.4);
	$pdf->Cell($larguraUtil/2,5,'4. '.$risquinhos,0,0,'L');//
	$pdf->Cell($larguraUtil/2,5,'4. '.$risquinhos,0,0,'L');//
	$pdf->setXY($margemEsquerda+1,$fator*29.2);
	$pdf->Cell($larguraUtil/2,5,'5. '.$risquinhos,0,0,'L');//
	$pdf->Cell($larguraUtil/2,5,'5. '.$risquinhos,0,0,'L');//
	$pdf->setXY($margemEsquerda+1,$fator*30);
	$pdf->Cell($larguraUtil/2,5,'5D. '.$risquinhos,0,0,'L');//
	$pdf->Cell($larguraUtil/2,5,'5D. '.$risquinhos,0,0,'L');//
	$pdf->setXY($margemEsquerda+1,$fator*30.8);
	$pdf->Cell($larguraUtil/2,5,'6. '.$risquinhos,0,0,'L');//
	$pdf->Cell($larguraUtil/2,5,'6. '.$risquinhos,0,0,'L');//
	$pdf->setXY($margemEsquerda+1,$fator*31.6);
	$pdf->Cell($larguraUtil/2,5,'7. '.$risquinhos,0,0,'L');//
	$pdf->Cell($larguraUtil/2,5,'7. '.$risquinhos,0,0,'L');//
	$pdf->setXY($margemEsquerda+1,$fator*32.4);
	$pdf->Cell($larguraUtil/2,5,'8. '.$risquinhos,0,0,'L');//
	$pdf->Cell($larguraUtil/2,5,'8. '.$risquinhos,0,0,'L');//
    //parte de baixo	
	$pdf->setXY($margemEsquerda+1,$fator*33.6);
	$pdf->Cell($larguraUtil/2,5,utf8_decode('Nível de vigor 1-3 ______________    Viabilidade_______________'),0,0,'L');//
	$pdf->Cell($larguraUtil/2,5,utf8_decode('Nível de vigor 1-3 ______________    Viabilidade_______________'),0,0,'L');//
	
    $largura=30; 
	$pdf->setXY($margemEsquerda+40,$fator*34.4);
	$pdf->Cell($largura,5,utf8_decode('Dano Mecânico'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('Umidade'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('Percevejo'),0,0,'C');//
	$pdf->setXY($margemEsquerda+1,$fator*35.2);
	$pdf->SetFont('Arial','U',10);
	$pdf->Cell(30,5,utf8_decode('Repetições'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('1-8      6-8'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('1-8      6-8'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('1-8      6-8'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('Duras'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('Vigor'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('Viabilidade'),0,0,'C');//
	$pdf->SetFont('Arial','',10);
	$pdf->Cell($largura,5,utf8_decode('Solução: 0,075'),0,0,'C');//

	$pdf->setXY($margemEsquerda+1,$fator*36);
	$pdf->Cell($largura,5,utf8_decode('__________'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('_____   ______'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('_____   ______'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('_____   ______'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('___________'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('___________'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('___________'),0,0,'C');//
	$pdf->Cell(70,5,utf8_decode('NºSementes testadas:____________'),0,0,'C');//
	$pdf->setXY($margemEsquerda+1,$fator*36.8);
	$pdf->Cell($largura,5,utf8_decode('__________'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('_____   ______'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('_____   ______'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('_____   ______'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('___________'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('___________'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('___________'),0,0,'C');//
	$pdf->Cell(70,5,utf8_decode('Data:     ____/___/_____'),0,0,'C');//
	$pdf->setXY($margemEsquerda+1,$fator*37.6);
	$pdf->Cell($largura,5,utf8_decode('Médias'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('_____   ______'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('_____   ______'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('_____   ______'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('___________'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('___________'),0,0,'C');//
	$pdf->Cell($largura,5,utf8_decode('___________'),0,0,'C');//
	$pdf->Cell(70,5,utf8_decode('Analista:____________'),0,0,'C');//
	   
               


    ###################################################################################
    ###################################################################################
	###################################################################################
	###################################################################################
	//SEGUNDA PAGINA (germinacao)######################################################
	 $pdf->AddPage();//adicionando a primera pafina 
	 $metade=137;
	 //como sao duas imagens iguais so vou criar uma
	 for($imagem=0;$imagem<=1;$imagem++):  
		 $posicaoInicial=$margemEsquerda + $imagem*$metade + $imagem*5 ;
	     $pdf->Rect($posicaoInicial,$fator*0.2,$metade,$fator*38);//RECT DDO CABECALHO DA FICHA
		 $pdf->SetFont('Arial','B',10);
		 if($imagem==0)$tipoTeste='Teste de Germinação';
		 if($imagem==1)$tipoTeste='Teste de:';
	 	 $pdf->setXY($posicaoInicial+1,$fator*0.2);
		 $pdf->Cell($metade+5,6,utf8_decode($tipoTeste),0,0,'C');//natureza
		 $pdf->SetFont('Arial','',10);
	 	 $pdf->setXY($posicaoInicial,$fator*1.2);
		 $pdf->Cell(72,5,utf8_decode('Data de Semeadura'),0,0,'L');//
	 	 $pdf->Cell(55,4,utf8_decode('Analista__________________:'),0,0,'L');//
	 	 $pdf->setXY($posicaoInicial,$fator*2.0);
		 $pdf->Cell(100,5,utf8_decode('Montagem: ( )4x100 sementes  ( )8x50 sementes   ( )16x25 sementes  ( 4x50 sementes'),0,0,'L');//
	 	 $pdf->setXY($posicaoInicial,$fator*2.8);
		 $pdf->Cell(100,5,utf8_decode('Substrato: ( )Sobre papel  ( )Entre papel  ( )Areia '),0,0,'L');//
	 	 $pdf->setXY($posicaoInicial,$fator*3.6);
		 $pdf->Cell(100,5,utf8_decode('Data 1ª Contagem:  __/__/____'),0,0,'L');//
	 	 $pdf->setXY($posicaoInicial,$fator*4.4);
		 $pdf->Cell(100,5,utf8_decode('Data 2ª Contagem:  __/__/____'),0,0,'L');//
	 	 $pdf->setXY($posicaoInicial,$fator*5.2);
		 $pdf->Cell(100,5,utf8_decode('Tratamento especial:'),0,0,'L');//

      for($tipo=0;$tipo<6;$tipo++):
         $pdf->Line($posicaoInicial,$fator*6+$tipo*25,$posicaoInicial+$metade,$fator*6+$tipo*25); 
         $pdf->Line($posicaoInicial,$fator*6.1,$posicaoInicial+$metade,$fator*6.1); 
         //cria o bv2 
		 $altura=8; 
	 	 $pdf->setXY($posicaoInicial+12,$fator*6+$tipo*25);
		 $pdf->SetFont('Arial','',7);
		 $pdf->Cell(27,8,utf8_decode('Repetição/Contagem:'),1,0,'C');//
         for($r=1;$r<=16;$r++): $pdf->Cell(6,8,$r,1,0,'C'); endfor;
		 $pdf->SetFont('Arial','',8);
         $altura=4.0;		           
	 	 $pdf->setXY($posicaoInicial+12,$fator*7.6+$tipo*25);
		 $pdf->Cell(27,$altura,utf8_decode('1ª Leitura'),1,0,'C');//
         for($r=1;$r<=16;$r++): $pdf->Cell(6,$altura,' ',1,0,'C'); endfor;          
	 	 $pdf->setXY($posicaoInicial+12,$fator*8.4+$tipo*25);
		 $pdf->Cell(27,$altura,utf8_decode('2ª Leitura'),1,0,'C');//
         for($r=1;$r<=16;$r++): $pdf->Cell(6,$altura,' ',1,0,'C'); endfor;          
	 	 $pdf->setXY($posicaoInicial+12,$fator*9.2+$tipo*25);
		 $pdf->Cell(27,$altura,utf8_decode('Totais'),1,0,'C');//
         for($r=1;$r<=16;$r++): $pdf->Cell(6,$altura,' ',1,0,'C'); endfor;          
	 	 $pdf->setXY($posicaoInicial+12,$fator*10+$tipo*25);
		 $pdf->Cell(27,$altura,utf8_decode('Média'),1,0,'C');//
         $pdf->Cell(96,$altura,' ',1,0,'C');        
         //parte final(box 8)) primeio as 
         //$pdf->Rect($margemEsquerda,$fator*35.9 ,$metade,11);
         //aqui coloca os retangulos e  o conteudo da linha do meio(A SEGUNDA LINHA))
		 $larguraMiniBox=19;
	 	 $pdf->setXY($posicaoInicial,$fator*35.9);
		 $pdf->Cell(22,11.4,utf8_decode('(%)após'),1,0,'C');////cria o retangulo
		 $pdf->Cell(4,10,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,11.4,utf8_decode('Normais'),1,0,'C');////cria o retangulo
		 $pdf->Cell(4,11,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,11.4,utf8_decode('Anormais'),1,0,'C');////cria o retangulo
		 $pdf->Cell(4,11,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,11.4,utf8_decode('Mortas'),1,0,'C');////cria o retangulo
		 $pdf->Cell(4,11,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,11.4,utf8_decode('Duras'),1,0,'C');////cria o retangulo
		 $pdf->Cell(4,11,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,11.4,utf8_decode('Dormentes'),1,0,'C');////cria o retangulo
		 $pdf->Cell(4,11,' ',0,0,'C');////aqui é um mero espacador
         //COLOCA A LINHA DE CIMA (A PRIMEIRA DENTRO DO BOX)
	 	 $pdf->setXY($posicaoInicial,$fator*35.9);
		 $pdf->Cell(22,4,utf8_decode('Resultado Final'),0,0,'L');//
		 $pdf->Cell(4,4,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,4,utf8_decode('Plântulas'),0,0,'C');//
		 $pdf->Cell(4,4,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,4,utf8_decode('Plântulas'),0,0,'C');//
		 $pdf->Cell(4,4,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,4,utf8_decode('Sementes'),0,0,'C');//
		 $pdf->Cell(4,4,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,4,utf8_decode('Sementes'),0,0,'C');//
		 $pdf->Cell(4,4,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,4,utf8_decode('Sementes'),0,0,'C');//
         //COLOCA A LINHA DE BAIXO(A TERCEIRA)
	 	 $pdf->setXY($posicaoInicial,$fator*37.2);
		 $pdf->Cell(22,5,utf8_decode('arredondamento'),0,0,'L');//
		 $pdf->Cell(4,5,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,5,' ',1,0,'C');//
		 $pdf->Cell(4,5,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,5,'',1,0,'C');//
		 $pdf->Cell(4,5,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,5,'',1,0,'C');//
		 $pdf->Cell(4,5,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,5,'',1,0,'C');//
		 $pdf->Cell(4,5,' ',0,0,'C');////aqui é um mero espacador
		 $pdf->Cell($larguraMiniBox,5,'',1,0,'C');//

		 /*
         for($r=1;$r<=16;$r++): $pdf->Cell(6,5,' ',1,0,'C'); endfor;          
	 	 $pdf->setXY($posicaoInicial+12,$fator*8.3+$tipo*25);
		 $pdf->Cell(27,$altura,utf8_decode('2ª Leitura'),1,0,'C');//
         for($r=1;$r<=16;$r++): $pdf->Cell(6,$altura,' ',1,0,'C'); endfor;          
	 	 $pdf->setXY($posicaoInicial+12,$fator*9.1+$tipo*25);
		 $pdf->Cell(27,$altura,utf8_decode('Totais'),1,0,'C');//
         for($r=1;$r<=16;$r++): $pdf->Cell(6,$altura,' ',1,0,'C'); endfor;          
	 	 $pdf->setXY($posicaoInicial+12,$fator*9.9+$tipo*25);
		 $pdf->Cell(27,$altura,utf8_decode('Média'),1,0,'C');//
		 */
      endfor;//laco do tipo ou seja normais, anormais, infec, moras etc 
	 endfor;;//duas imagens lado a lado iguais...					 
     //legenda rodafuter 
	 $pdf->SetFont('Arial','',6);
 	 $pdf->setXY($margemEsquerda,$fator*38);
	 $pdf->Cell($larguraUtil,5,utf8_decode('Frequência de preenchimento: A cada recebimento da amsotra; Responsável pelo preenchimento:Analista/Auxiliares/Estagiaário; Sequencia numérica/ano: Tempo de retenção 5 anos. Local de arquivamento: Laboratório; Forma de proteção: Senha eletônica'),0,0,'L');//













endfor;//varias amostras...

			 /*
			 
			 



			 
			 for($registro=$inicio;$registro<=$final;$registro++):
             $amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);			

 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
                  

				 	 $yCabecalho1=30;
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;
					 $pdf->Line($margemEsquerda,5,$margemDireita,5);//Horiz topo
					 $pdf->Line($margemEsquerda,5,$margemEsquerda,$futer);//vert esq
					 $pdf->Line($margemDireita,5,$margemDireita,$futer);//vert dir
					 $pdf->Line($margemEsquerda,$futer,$margemDireita,$futer);//horiz base
				     $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";				 
					 $pdf->Image($caminhoFinal,90,6,48,23,'JPG');
					 $pdf->SetFont('Arial','',12);
		         	 $pdf->setXY($posicaox1,$yCabecalho1);
					 $pdf->Cell(60,5,utf8_decode('LIVRO DE PROTOCOLO'),0,0,'L');//natureza
				     $pdf->SetFont('Arial','',8);
					 $pdf->Cell(60,5,'Data:'.date(d).'/'. date(m).'/'. date(Y),0,0,'L');//natureza
					 $pdf->Cell(60,5,$material,0,1,'C',1);//natureza
		             $yCabecalho1+=5;
			         $pdf->setXY($posicaox1,$yCabecalho1);
					 $pdf->Cell($larg1,5,'Amostra',1,0,'L');//natureza
					 $pdf->Cell($larg2,5,'Pedido',1,0,'L');//natureza
					 $pdf->Cell($larg3,5,'Pacote',1,0,'L');//natureza
					 $pdf->Cell($larg4,5,'Cliente',1,0,'L');//natureza
					 $pdf->Cell($larg5,5,'Entrada',1,0,'L');//natureza
				
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza
				 	 $cota4=85;
				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=270;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
					 $pdf->Line($margemEsquerda,$cota1,$margemEsquerda,$cotaFinal);//linha externa esquerda	
					 $pdf->Line($margemEsquerda,$cotaFinal,$margemDireita,$cotaFinal);//linha inferior	
					 $pdf->Line($margemDireita,$cota1,$margemDireita,$cotaFinal);	//linha direita
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=60;$posicaoCab2=185;
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	//linha vertical a direita do timbre
					 $pdf->Image('ImagensClientes/i' .$idLabo.'.JPG',11,6,48,23,'JPG');//vai dentro de projeto28php/Imagens


			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();



					 $pdf->SetFont('Arial','BU',10);
					 $pdf->setXY($posicaoCab1,5);
					 $pdf->Cell(145,5,'FICHA DE ANALISE DE SEMENTES JATAI',0,1,'L');//lab nome
					 $pdf->SetFont('Arial','',9);
					 $pdf->setXY($posicaoCab1,10); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');//lab nome
					 $pdf->Cell($posicaoCab1-$margemEsquerda);$pdf->Cell(145,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');
					 
					 //normas
					$vetorNormas=$objetocalculo->capturaNormas("Ficha","UFLA",$idLabo);
					$posicaoNorma=$margemEsquerda+155;
					$pdf->Rect($margemEsquerda+155,6,39,12);
						//$pdf->Rect($posicaoNorma,5,40,15);
					 $pdf->SetFont('Arial','',9);
						$pdf->setXY($posicaoNorma,6);  $pdf->Cell(40,4,utf8_decode("Doc:".$vetorNormas[1]),0,0);
						$pdf->setXY($posicaoNorma,10);  $pdf->Cell(40,4,utf8_decode("Nº Revisão:".$vetorNormas[2]),0,0);
						$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Data revisão:".$vetorNormas[3]),0,0);
					 $pdf->SetFont('Arial','',10);

					 
					 
					 
				     ################IDENTIFICACAO DA AMOSTRA##################################################
				 	 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				         $largo1=95;           
				         $largo2=95;           
					 $pdf->SetXY($margemEsquerda,$cota2);
				  	 $pdf->SetFont('Arial','B',10);
					 $pdf->Cell($largo1,5,'Amostra:'.$vetorCapturaGeral[1],0,0,'L'); //imprime a amostra
					 //aqui inverte a data
					 $data=$vetorCapturaGeral[36];
					 $dia=substr($data,8,2);
					 $mes=substr($data,5,2);
					 $ano=substr($data,0,4);//ano   1951-02-28
					 $dataFinal=$dia."/".$mes."/".$ano;
					 $pdf->Cell($largo2,5,'Data Recebimento:'.$dataFinal,0,1,'L');//imprme a data
				     $pdf->SetFont('Arial','',8);
					 $pdf->Cell($largo1,4.5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L');$pdf->Cell($largo2,4.5,'Cultivar:'.utf8_decode($vetorCapturaGeral[31]),0,1,'L');
					 $pdf->Cell($largo1,4.5,'Safra:'.$vetorCapturaGeral[34],0,0,'L');$pdf->Cell($largo2,4.5,'Categoria:'.$vetorCapturaGeral[33],0,1,'L');
					 //$pdf->Cell($largo1,4.5,'Remetente:'.$vetorCapturaGeral[42],0,0,'L');$pdf->Cell($largo2,4.5,utf8_decode('Função:'.$vetorCapturaGeral[43]),0,1,'L');
					 $pdf->Cell(194,4.5,'Testes a realizar:'.$vetorCapturaGeral[44],0,0,'L');						 ##############cria setor de purezaaaa###############################################3
					 $pdf->Line($margemEsquerda,$cota3,$margemDireita,$cota3);//
					 $largo1=35;	 $largo2=13;	 $largo3=15;	 $largo4=15;	 $largo5=15;
					 $posicaox1=50; $posicaox2=63; $posicaox3=76; $posicaox4=88;
					 $posicaoMeio=97;
				         $altura=4.5;
					 $cota3a=$cota3+1*4.5;
					 $cota3b=$cota3+2*4.5;
					 $cota3c=$cota3+3*4.5;
					 $cota3d=$cota3+4*4.5;
					 $cota3e=$cota3+5*4.5;
					 $cota3f=$cota3+6*4.5;
					 $cota3g=$cota3+7*4.5;
					 $pdf->Line($margemEsquerda,$cota3a,$margemDireita,$cota3a);//
				         //as linhas verticais de pureza
					 $posicao1=$margemEsquerda+$largo1;                         $pdf->Line($posicao1,$cota3a,$posicao1,$cota4);//
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 $pdf->Line($posicao2,$cota3a,$posicao2,$cota4);//
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         $pdf->Line($posicao3,$cota3a,$posicao3,$cota4);//
					 $posicao4=$margemEsquerda+$largo1+$largo2+$largo2+$largo2; $pdf->Line($posicao4,$cota3a,$posicao4,$cota4);//
				         //as linhas horizontatis  de pureza
					 $pdf->Line($margemEsquerda,$cota3b,$posicaoMeio,$cota3b);//
					 $pdf->Line($margemEsquerda,$cota3c,$posicaoMeio,$cota3c);//
					 $pdf->Line($margemEsquerda,$cota3d,$posicaoMeio,$cota3d);//
					 $pdf->Line($margemEsquerda,$cota3e,$posicaoMeio,$cota3e);//
					 $pdf->Line($margemEsquerda,$cota3f,$posicaoMeio,$cota3f);//
					 //$pdf->Line($margemEsquerda,$cota4,$margemDireita,$cota4);//
					 $pdf->Line($posicaoMeio,$cota3a,$posicaoMeio,$cota4);//linha vertical final de pureza e inicio de naturaza do material inerte

				         //textos de pureza
					 $pdf->SetXY($margemEsquerda,$cota3); $pdf->Cell(194,4.5,utf8_decode('ANÁLISE DE PUREZA: (em').$pdf->vetorFicha[9].'g)',1,1,'C',1);	
					 $pdf->SetXY($posicaox1,$cota3a);$pdf->Cell(30,4.5,'g',0,0,'L');	
					 $pdf->SetXY($posicaox2,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
					 $pdf->SetXY($posicaox3,$cota3a);$pdf->Cell(7,4.5,'g',0,0,'L');	
					 $pdf->SetXY($posicaox4,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
					 $pdf->SetXY($posicaoMeio,$cota3a);$pdf->Cell(95,4.5,'Natureza do Material Inerte',0,0,'C');	
					 $pdf->SetXY($margemEsquerda,$cota3b); $pdf->Cell(50,4.5,'Amostra de trabalho',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3c); $pdf->Cell(50,4.5,'Sementes Puras',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3d); $pdf->Cell(50,4.5,'Outras sementes',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3e); $pdf->Cell(50,4.5,'Material inerte',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3f); $pdf->Cell(50,4.5,'Peso final',0,0,'L');	
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
				         $cota4a=$cota4+1*4.5;
				         $cota4b=$cota4+2*4.5;
				         $cota4c=$cota4+3*4.5;
					 $largura1=48;$largura2=49;$largura3=$largura1+$largura2;
					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota4);$pdf->cell(194,4.5,utf8_decode('VERIFICAÇÃO DE OUTRAS CULTIVARES: (em').$pdf->vetorFicha[7].'g)',1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4a);$pdf->cell(194,4.5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO: (em').$pdf->vetorFicha[8].'g)',1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4b);
					 $pdf->cell($largura1,4.5,'SILVESTRES',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'OUTRAS ESP. CULTIVADAS',1,0,'C');	 
					 $pdf->cell($largura3,4.5,'NOCIVAS',1,1,'C');	 
					 $pdf->setXY($posicao2,$cota4c);
					 $pdf->cell($largura1,4.5,'TOLERADAS',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'PROIBIDAS',1,1,'C');
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
				         //tres linhas horizontais separando silvestres,nocivas e oesp          	
					 $pdf->Line($posicao1,$cota4c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota4c,$posicao2,$cota5);
					 $pdf->Line($posicao3,$cota4c,$posicao3,$cota5);
				     ################inicio da parte de GERMINACAO########################################
				         $umQuarto=48.5;
				         $cota5a=$cota5+1*4.5;
				         $cota5b=$cota5+2*4.5;
				         $cota5c=$cota5+3*4.5;
				         $cota5d=$cota5+4*4.5;
				         $cota5e=$cota5+5*4.5;
				         $posicaoMeio=97; 
					 $pdf->setXY($margemEsquerda,$cota5);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO(I)'),1,0,'C',1);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO(II)'),1,0,'C',1);

					 $pdf->setXY($margemEsquerda,$cota5a);
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Concluído:'),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Concluído:'),1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5b);
					 $pdf->cell($umQuarto,4.5,'Tratamento:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Tratamento:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5c);
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 
					 $pdf->setXY($margemEsquerda,$cota5d);
					 $pdf->cell($umQuarto,4.5,'Substrato:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Substrato:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5e);
					 $pdf->cell($umQuarto,4.5,'Analista:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Data:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Analista:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Data:',1,0,'L');
					 
				     ################iPARTE  ONDE VAO AS LEITURAS#######################################
				     
					 $vetor="";
					 $pdf->Line($margemEsquerda,$cota7,$margemDireita,$cota7);//linha horizontal abaixo da grade do teste pureza
				     $largo[1]=20;
					 $larguraMenor=8;
					 for($i=2;$i<=9;$i++)
					 {
					     $largo[$i]=$larguraMenor;
						 $largo[$i+9]=$larguraMenor;
				     }		  
					 $largo[10]=20;
					 $vetor="";
					 $vetor[1][2]="A";$vetor[1][3]="B";$vetor[1][4]="C";$vetor[1][5]="D";$vetor[1][6]="E";$vetor[1][7]="F";$vetor[1][8]="G";$vetor[1][9]="H";
					 $vetor[2][1]=$vetor[2][10]="Normais:";
					 $vetor[6][1]=$vetor[6][10]=utf8_decode("Soma");

					 $vetor[7][1]=$vetor[7][10]="Defeit.;";
					 $vetor[11][1]=$vetor[11][10]=utf8_decode("Soma");

					 $vetor[12][1]=$vetor[12][10]="Infec.";
					 $vetor[16][1]=$vetor[16][10]=utf8_decode("Soma");

					 $vetor[17][1]=$vetor[17][10]="Mortas";
					 $vetor[19][1]=$vetor[19][10]=utf8_decode("Soma");


					 $vetor[20][1]=$vetor[20][10]="Duras";
					 $vetor[22][1]=$vetor[22][10]="Dormentes";
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 for($i=1;$i<=$colunas;$i++)$finalHorizontal+=$largo[$i];
					 $posicao=$margemEsquerda;
					 $pdf->SetLineWidth($fino);
					 $pdf->SetLineWidth($fino);
					 $colunas=9;
					 $linhas=23;
				     //imprime a parte da esquerda
					 $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetXY($margemEsquerda,$linhaCalculada);
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 $pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],4.5,$vetor[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=4.5;
				     }
                     //impime a metade da direita
                     $margemEsquerda1=$margemEsquerda+97; 
				     $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetXY($margemEsquerda1,$linhaCalculada);
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 $pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],4.5,$vetor[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=4.5;
				     }
					 //imprime a palavra media
				     $linhaCalculada=$cota7;
					 $pdf->SetXY($margemEsquerda+84,$linhaCalculada);
					 $pdf->Cell(13,4.5,'Media',1,0,'C',1);	
					 $pdf->SetXY($margemEsquerda1+84,$linhaCalculada);
					 $pdf->Cell(13,4.5,'Media',1,0,'C',1);	
					 //imprime os separadores curtas abaixo da palavra[ media  ]
					 //primeiras duas linhas curtas
				     $cotaLinha1=$linhaCalculada+27;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //segundas linhas curtas
				     $cotaLinha1=$linhaCalculada+49.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //terceiras linhas curtas(antes de mortas)
				     $cotaLinha1=$linhaCalculada+72;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //quartas linhas curtas
				     $cotaLinha1=$linhaCalculada+85.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //quintas linhas curtas
				     $cotaLinha1=$linhaCalculada+94.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //sextas linhas curtas
				     $cotaLinha1=$linhaCalculada+103.5;
					 $pdf->Line($margemEsquerda+84,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+84,$cotaLinha1,$margemDireita,$cotaLinha1);
					 
					########################rodape####################
				     $pdf->setXY($margemEsquerda,$cota8);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(100,5,utf8_decode('Outras determinações:'),0,1,'L');	 
				     $pdf->setXY($margemEsquerda,$cota8+5);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(40,4.5,utf8_decode('Responsável técnico:').utf8_decode($pdf->vetorTecnico[0]),0,1,'L');	

				     $pdf->setXY($margemEsquerda,$cotaFinal);
					 $pdf->SetFont('Arial','B',7);
					 $pdf->cell(25,4,'SilasNet-completo',1,1,'L');	 
				 endif;

             endwhile; //este while encerra a colecao de amostras   
			endfor;//fecha o loop de amostras segundo um registro 
			*/
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
